var H_only = true;

info.clear();
var model = project.current_model();

for (i=0;  i<model.bond_count();  ++i)
{
  var bond   = model.bond (i);
  var atom_j = bond.atom (0);
  var atom_k = bond.atom (1);

  if (H_only && (atom_j.element () != 'H' && atom_k.element () != 'H'))
    continue;

  var x = (atom_j.x() + atom_k.x())/2.;
  var y = (atom_j.y() + atom_k.y())/2.;
  var z = (atom_j.z() + atom_k.z())/2.;

	info.append (' X   ' + x + ' '  + y + ' '  + z);
}
info.append ('');